Upstream information

CVE-2019-19604 at MITRE

Description

Arbitrary command execution is possible in Git before 2.20.2, 2.21.x before 2.21.1, 2.22.x before 2.22.2, 2.23.x before 2.23.1, and 2.24.x before 2.24.1 because a "git submodule update" operation can run commands found in the .gitmodules file of a malicious repository.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.8
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entries: 1158785 [RESOLVED / FIXED], 1158795 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • git >= 2.12.3-27.22.1
Patchnames:
HPE-Helion-OpenStack-8-2019-3311
SUSE CaaS Platform 3.0
  • git >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
Patchnames:
SUSE-CAASP-3.0-2019-3311
SUSE Enterprise Storage 4
  • git >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
  • git-doc >= 2.12.3-27.22.1
Patchnames:
SUSE-Storage-4-2019-3311
SUSE Enterprise Storage 5
  • git >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
Patchnames:
SUSE-Storage-5-2019-3311
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • git >= 2.26.1-3.25.2
  • git-core >= 2.26.1-3.25.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2020-1121
SUSE-SLE-Module-Basesystem-15-SP1-2020-45
SUSE Linux Enterprise Module for Basesystem 15
  • git >= 2.16.4-3.17.2
  • git-core >= 2.16.4-3.17.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-2020-45
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • git >= 2.26.1-3.25.2
  • git-arch >= 2.26.1-3.25.2
  • git-cvs >= 2.26.1-3.25.2
  • git-daemon >= 2.26.1-3.25.2
  • git-doc >= 2.26.1-3.25.2
  • git-email >= 2.26.1-3.25.2
  • git-gui >= 2.26.1-3.25.2
  • git-svn >= 2.26.1-3.25.2
  • git-web >= 2.26.1-3.25.2
  • gitk >= 2.26.1-3.25.2
  • perl-Authen-SASL >= 2.16-1.3.1
  • perl-Net-SMTP-SSL >= 1.04-1.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP1-2020-1121
SUSE-SLE-Module-Development-Tools-15-SP1-2020-45
SUSE Linux Enterprise Module for Development Tools 15
  • git >= 2.16.4-3.17.2
  • git-arch >= 2.16.4-3.17.2
  • git-cvs >= 2.16.4-3.17.2
  • git-daemon >= 2.16.4-3.17.2
  • git-doc >= 2.16.4-3.17.2
  • git-email >= 2.16.4-3.17.2
  • git-gui >= 2.16.4-3.17.2
  • git-svn >= 2.16.4-3.17.2
  • git-web >= 2.16.4-3.17.2
  • gitk >= 2.16.4-3.17.2
  • perl-Authen-SASL >= 2.16-1.3.1
  • perl-Net-SMTP-SSL >= 1.04-1.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-2020-45
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • git >= 2.26.1-3.25.2
  • git-credential-gnome-keyring >= 2.26.1-3.25.2
  • git-credential-libsecret >= 2.26.1-3.25.2
  • git-p4 >= 2.26.1-3.25.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-1121
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-45
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • git >= 2.16.4-3.17.2
  • git-credential-gnome-keyring >= 2.16.4-3.17.2
  • git-credential-libsecret >= 2.16.4-3.17.2
  • git-p4 >= 2.16.4-3.17.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2020-45
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • git >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
  • git-doc >= 2.12.3-27.22.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-3311
SUSE Linux Enterprise Server 12 SP1-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • git >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
  • git-doc >= 2.12.3-27.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-3311
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • git >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
  • git-doc >= 2.12.3-27.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-3311
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • git >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
  • git-doc >= 2.12.3-27.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-3311
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • git >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
  • git-doc >= 2.12.3-27.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-3311
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • git >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2019-3311
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • git >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-3311
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • git >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-3311
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • git >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2019-3311
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • git >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
  • git-doc >= 2.12.3-27.22.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-3311
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • git >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2019-3311
SUSE Linux Enterprise Software Development Kit 12 SP4
  • git >= 2.12.3-27.22.1
  • git-arch >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
  • git-cvs >= 2.12.3-27.22.1
  • git-daemon >= 2.12.3-27.22.1
  • git-doc >= 2.12.3-27.22.1
  • git-email >= 2.12.3-27.22.1
  • git-gui >= 2.12.3-27.22.1
  • git-svn >= 2.12.3-27.22.1
  • git-web >= 2.12.3-27.22.1
  • gitk >= 2.12.3-27.22.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-3311
SUSE Linux Enterprise Software Development Kit 12 SP5
  • git >= 2.12.3-27.22.1
  • git-arch >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
  • git-cvs >= 2.12.3-27.22.1
  • git-daemon >= 2.12.3-27.22.1
  • git-doc >= 2.12.3-27.22.1
  • git-email >= 2.12.3-27.22.1
  • git-gui >= 2.12.3-27.22.1
  • git-svn >= 2.12.3-27.22.1
  • git-web >= 2.12.3-27.22.1
  • gitk >= 2.12.3-27.22.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2019-3311
SUSE OpenStack Cloud 7
  • git >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
  • git-doc >= 2.12.3-27.22.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-3311
SUSE OpenStack Cloud 8
  • git >= 2.12.3-27.22.1
  • git-core >= 2.12.3-27.22.1
Patchnames:
SUSE-OpenStack-Cloud-8-2019-3311
openSUSE Leap 15.1
  • git >= 2.26.1-lp151.4.9.1
  • git-arch >= 2.26.1-lp151.4.9.1
  • git-core >= 2.26.1-lp151.4.9.1
  • git-core-debuginfo >= 2.26.1-lp151.4.9.1
  • git-credential-gnome-keyring >= 2.26.1-lp151.4.9.1
  • git-credential-gnome-keyring-debuginfo >= 2.26.1-lp151.4.9.1
  • git-credential-libsecret >= 2.26.1-lp151.4.9.1
  • git-credential-libsecret-debuginfo >= 2.26.1-lp151.4.9.1
  • git-cvs >= 2.26.1-lp151.4.9.1
  • git-daemon >= 2.26.1-lp151.4.9.1
  • git-daemon-debuginfo >= 2.26.1-lp151.4.9.1
  • git-debuginfo >= 2.26.1-lp151.4.9.1
  • git-debugsource >= 2.26.1-lp151.4.9.1
  • git-doc >= 2.26.1-lp151.4.9.1
  • git-email >= 2.26.1-lp151.4.9.1
  • git-gui >= 2.26.1-lp151.4.9.1
  • git-p4 >= 2.26.1-lp151.4.9.1
  • git-svn >= 2.26.1-lp151.4.9.1
  • git-svn-debuginfo >= 2.26.1-lp151.4.9.1
  • git-web >= 2.26.1-lp151.4.9.1
  • gitk >= 2.26.1-lp151.4.9.1
  • perl-Authen-SASL >= 2.16-lp151.3.3.1
  • perl-Net-SMTP-SSL >= 1.04-lp151.3.3.1
Patchnames:
openSUSE-2020-123
openSUSE-2020-598


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 git Released
HPE Helion OpenStack Cloud 8 git Analysis
SUSE CaaS Platform 3.0 git Released
SUSE Container as a Service Platform 1.0 git Affected
SUSE Container as a Service Platform 2.0 git Analysis
SUSE Linux Enterprise 15 Module for Basesystem git Released
SUSE Linux Enterprise 15 Module for Development Tools git Released
SUSE Linux Enterprise 15-SP1 Module for Basesystem git Released
SUSE Linux Enterprise 15-SP1 Module for Development Tools git Released
SUSE Linux Enterprise 15-SP1 Module for Development Tools perl-Authen-SASL Released
SUSE Linux Enterprise 15-SP1 Module for Development Tools perl-Net-SMTP-SSL Released
SUSE Linux Enterprise 15-SP2 Module for Basesystem git Released
SUSE Linux Enterprise 15-SP2 Module for Development Tools git Released
SUSE Linux Enterprise 15-SP2 Module for Development Tools perl-Authen-SASL Released
SUSE Linux Enterprise 15-SP2 Module for Development Tools perl-Net-SMTP-SSL Released
SUSE Linux Enterprise High Performance Computing 12 SP4 git Released
SUSE Linux Enterprise High Performance Computing 12 SP5 git Released
SUSE Linux Enterprise Server 12 SP1 LTSS git Released
SUSE Linux Enterprise Server 12 SP2 LTSS git Released
SUSE Linux Enterprise Server 12 SP3 LTSS git Released
SUSE Linux Enterprise Server 12 SP4 git Released
SUSE Linux Enterprise Server 12 SP5 git Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 git Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 git Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 git Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 git Released
SUSE Linux Enterprise Software Development Kit 12 SP4 git Released
SUSE Linux Enterprise Software Development Kit 12 SP5 git Released
SUSE OpenStack Cloud 8 git Released